[ThinkPad Edge 14] System randomly locks up and needs to be power-cycled

Bug #775068 reported by Jeff Lane on 2011-05-01
32
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Natty
High
Unassigned

Bug Description

Attempting to do certification testing for Natty on the ThinkPad Edge 14. Unfortunately, I can no complete testing as the machine keeps locking up and needs to be restarted each time.

I've now tried about 8 - 10 times and have finally giving up on actually testing it as I have too many other systems to get through. This particular machine has been under test for over 24 hours at this point and still incomplete due to the complete instability of it.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1460 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0700000 irq 42'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:14f15066,17aa21c5,00100302 HDA:80862804,80860101,00100000'
   Controls : 12
   Simple ctrls : 6
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 84HT22WW-1.168000'
   Mixer name : 'ThinkPad EC 84HT22WW-1.168000'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 11.04
HibernationDevice: RESUME=UUID=bb372604-bbd1-423a-823b-76607db8eb50
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
MachineType: LENOVO 021730U
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic-pae root=UUID=24e55d6d-806c-44c9-9d51-9c7bfc41086d ro quiet splash initcall_debug vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic-pae 2.6.38.2
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic-pae N/A
 linux-backports-modules-2.6.38-8-generic-pae N/A
 linux-firmware 1.52
Tags: natty running-unity
Uname: Linux 2.6.38-8-generic-pae i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 02/14/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 84ET24WW (1.08 )
dmi.board.name: 021730U
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr84ET24WW(1.08):bd02/14/2011:svnLENOVO:pn021730U:pvrThinkPadEdge:rvnLENOVO:rn021730U:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 021730U
dmi.product.version: ThinkPad Edge
dmi.sys.vendor: LENOVO

apport information

tags: added: blocks-hwcert
tags: added: apport-collected natty running-unity
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Ara Pulido (ara) wrote :

Jeff, when it is locked, can you SSH into the machine or is it completely unresponsive?

Also, when you restart it, can you get the kernel logs?

Changed in linux (Ubuntu):
assignee: nobody → Chris Van Hoof (vanhoof)
importance: Undecided → High
status: New → Incomplete

I have the same problems with my Thinkpad T61. System freezes without apparent reason and during boot.

Robert Hooker (sarvatt) wrote :

Can you still VT switch when this happens? If so it is likely a dupe of bug 740126

Download full text (4.2 KiB)

Heh... I'm no where near the machine now... But as I recall, maybe... It seems that I could hit the ctrl-alt-FX keys to switch VTs but it would tale several minutes to actually switch.

However I'm not in Lex at this point so Marc Legris will have to work on the actual system at this point

Shot forth via my crackberry

-----Original Message-----
From: Robert Hooker <email address hidden>
Sender: <email address hidden>
Date: Wed, 04 May 2011 19:38:29
To: <email address hidden>
Reply-To: Bug 775068 <email address hidden>
Subject: [Bug 775068] Re: [ThinkPad Edge 14] System randomly locks up and
 needs to be power-cycled

Can you still VT switch when this happens? If so it is likely a dupe of
bug 740126

--
You received this bug notification because you are a direct subscriber
of the bug.
https://bugs.launchpad.net/bugs/775068

Title:
  [ThinkPad Edge 14] System randomly locks up and needs to be power-
  cycled

Status in “linux” package in Ubuntu:
  Incomplete
Status in “linux” source package in Natty:
  New

Bug description:
  Attempting to do certification testing for Natty on the ThinkPad Edge
  14. Unfortunately, I can no complete testing as the machine keeps
  locking up and needs to be restarted each time.

  I've now tried about 8 - 10 times and have finally giving up on actually testing it as I have too many other systems to get through. This particular machine has been under test for over 24 hours at this point and still incomplete due to the complete instability of it.
  ---
  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
  Architecture: i386
  ArecordDevices:
   **** List of CAPTURE Hardware Devices ****
   card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
     Subdevices: 1/1
     Subdevice #0: subdevice #0
  AudioDevicesInUse:
   USER PID ACCESS COMMAND
   /dev/snd/controlC0: ubuntu 1460 F.... pulseaudio
  CRDA: Error: [Errno 2] No such file or directory
  Card0.Amixer.info:
   Card hw:0 'Intel'/'HDA Intel at 0xf0700000 irq 42'
     Mixer name : 'Intel IbexPeak HDMI'
     Components : 'HDA:14f15066,17aa21c5,00100302 HDA:80862804,80860101,00100000'
     Controls : 12
     Simple ctrls : 6
  Card29.Amixer.info:
   Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 84HT22WW-1.168000'
     Mixer name : 'ThinkPad EC 84HT22WW-1.168000'
     Components : ''
     Controls : 1
     Simple ctrls : 1
  Card29.Amixer.values:
   Simple mixer control 'Console',0
     Capabilities: pswitch pswitch-joined penum
     Playback channels: Mono
     Mono: Playback [on]
  DistroRelease: Ubuntu 11.04
  HibernationDevice: RESUME=UUID=bb372604-bbd1-423a-823b-76607db8eb50
  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
  MachineType: LENOVO 021730U
  Package: linux (not installed)
  ProcEnviron:
   LANGUAGE=en_US:en
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic-pae root=UUID=24e55d6d-806c-44c9-9d51-9c7bfc41086d ro quiet splash initcall_debug vt.handoff=7
  ProcVersionSignature: Ubuntu 2.6.38-8...

Read more...

I had this problem on my T61 Thinkpad. Updating to the pre-proposed kernel fixed this for me:

Linux lain 2.6.38-9-generic #43pre201104300903-Ubuntu SMP Sun May 1 07:42:42 UTC 2011 i686 i686 i386 GNU/Linux

Kai Mast (kai-mast) wrote :

Updating to the pre-proposed kernel on my thinkpad edge didn't help at all :/

Kai Mast (kai-mast) wrote :

I realized that this only occurs for me when being connected to a WPA-Enterprise Network. When I'm at home (regular WPA) everything works fine...

The wireless chipset is: RTL8188CE

Are there any known issues with that chipset?

Michael Hueschen (moecubed) wrote :

I have a Lenovo Thinkpad Edge 14 , 64-bit, and I have Natty running fine. I have tested both a fresh install and an upgrade from Maverick and the only problem I've run into is the network occasionally cuts out, but can be brought back by disconnecting and reconnecting.

Chris Van Hoof (vanhoof) wrote :

@Michael -- Does your machine match up with the machine listed here in the bug description?

Chris Van Hoof (vanhoof) on 2011-05-23
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → In Progress
Michael Hueschen (moecubed) wrote :

@ Chris

I have the same Thinkpad, except mine has a 64 bit processor, and I am running 64 bit Natty. I believe the other hardware is very similar, but I could be mistaken. I posted because I thought it might be helpful to know that the 64-bit version of the computer could run Natty when the x86 couldn't. (hopefully I didn't just add to the confusion)

Changed in linux (Ubuntu Natty):
status: New → Confirmed
importance: Undecided → High
Chris Van Hoof (vanhoof) wrote :

Marc -- Can you confirm Comment #23 ?

Changed in linux (Ubuntu):
assignee: Chris Van Hoof (vanhoof) → nobody
Changed in linux (Ubuntu Natty):
assignee: nobody → Marc Legris (maaarc)
Changed in linux (Ubuntu):
status: In Progress → Confirmed
Changed in linux (Ubuntu Natty):
status: Confirmed → Incomplete
Raffael Kéménczy (raffael-f) wrote :

The same error also appears on ThinkPad Edge 13. The wireless chipset is the same as mentioned above:
 08:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8188CE 802.11b/g/n WiFi Adapter (rev 01)

Ubuntu 11.04 32bit, current PAE kernel (I used the standard kernel before and it happened there as well)

While I can not remember if I was always logged into a network while this happened (although quite possible, last time it happened twice within an hour I was), the association with wireless network was brought up elsewhere (don't remember where). According to network manager, it was classified as WPA & WPA 2 Personal. When it crashes, the screen goes blank (or displays some strange pattern) and the system is entirely unresponsive. It is not possible for me to switch to a terminal. This happened using both community and proprietary AMD/ATI graphics drivers. Somewhere I also read it might be associated with frequency scaling.

Please tell me which logs to post in case this happens again.

Raffael Kéménczy (raffael-f) wrote :

The incident can be confirmed for at least to other, identical ThinkPad Edge 13 with identical Ubuntu 11.04 Setup. System randomly locks up completely and needs to be power cycled when connected to a wireless network. I also have a report that this happened when there was no wireless, but a wired connection to the internet established.

02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
08:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8188CE 802.11b/g/n WiFi Adapter (rev 01)

The attached syslog is from and incident when the notebook was connected to a wireless network. The -plane syslog occured when connecting through a 3G cellphone as wireless hotspot.

Raffael Kéménczy (raffael-f) wrote :

I've added some more syslog excerpts together to the attached file, separated by an empty line and DEVICE 'X' INCIDENT 'X'., as am administrating several Thinkpad Edge 13 with the same configuration (see above). Please note that the last entry for Device 3 occurred when no internet connection was established. From what I can tell, there are some patterns in the syslogs but I cannot say whether they point to a solution. As I would like to use this laptop as a production machine, any help/fixes/workarounds would be greatly appreciated.

I've tried to get this system to lock up but am unable to do so. I've tried cpu, mem, disk stress as well as a full cert run.

Changed in linux (Ubuntu Natty):
status: Incomplete → Invalid
cubells (cubells) wrote :

@ kai-mast: Are there any known issues with that chipset?

Yes. I had a problem with this chipset. My connection disconnects randomly and I had a lot of problems.

As it is said here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/749871

I've compiled de compat-wireless driver and all works like a charm.

Ara Pulido (ara) on 2011-06-20
tags: removed: blocks-hwcert
Chris Van Hoof (vanhoof) on 2011-06-20
Changed in linux (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.